#include "chdecl.h"
void CH_type_qualchecker(current, sched, cop)
#define ARGUMENTS 22
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c46;
    case 4: goto c52;
    case 5: goto c63;
    case 6: goto c65;
    case 7: goto cb66;
    case 9: goto c68;
    case 10: goto c75;
    case 11: goto c77;
    case 12: goto c80;
    case 13: goto c94;
    case 14: goto c96;
    case 15: goto c102;
    case 16: goto c105;
    case 17: goto c110;
    case 18: goto c112;
    case 19: goto c119;
    case 25: goto c122;
    case 22: goto c122;
    case 20: goto c122;
    case 21: goto cb132;
    case 23: goto c134;
    case 24: goto cb136;
    case 26: goto c140;
    case 27: goto c153;
    case 28: goto cb171;
    case 29: goto c172;
    case 30: goto cb173;
    case 31: goto c174;
    case 32: goto c176;
    case 33: goto c178;
    case 34: goto c181;
    case 35: goto c183;
    case 36: goto cb201;
    case 37: goto c202;
    case 38: goto c204;
    case 39: goto c206;
    case 40: goto c208;
    case 41: goto c210;
    case 42: goto c217;
    case 43: goto cb224;
    case 45: goto c226;
    case 46: goto c233;
    case 47: goto c235;
    case 48: goto c242;
    case 49: goto cb247;
    case 51: goto c249;
    case 52: goto c255;
    case 53: goto c261;
    case 54: goto cb263;
    case 56: goto c265;
    case 57: goto c272;
    case 58: goto c275;
    case 59: goto c281;
    case 60: goto c283;
    case 61: goto c286;
    case 62: goto c288;
    case 63: goto c295;
    case 64: goto cb297;
    case 55: goto c299;
    case 50: goto c299;
    case 44: goto c299;
    case 8: goto c299;
    case 65: goto c299;
    case 66: goto c304;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* ord_case 4 3.0.3 */
  REF(4).value.ord_enum = REF(3)DOT(0)DOT(3).value.variant->info.variant_case;
  REF(4).tsdr = & dr_ord_enumeration;
/* equal . 4 =(10) , 27 */
  if ( REF(4).value.ord_enum == 10 ) goto c27;
/* equal . 4 =(7) , 40 */
  if ( REF(4).value.ord_enum == 7 ) goto c40;
/* equal . 4 =(5) , 68 */
  if ( REF(4).value.ord_enum == 5 ) goto c68;
/* equal . 4 =(13) , 77 */
  if ( REF(4).value.ord_enum == 13 ) goto c77;
/* equal . 4 =(6) , 210 */
  if ( REF(4).value.ord_enum == 6 ) goto c210;
/* equal . 4 =(8) , 226 */
  if ( REF(4).value.ord_enum == 8 ) goto c226;
/* equal . 4 =(9) , 235 */
  if ( REF(4).value.ord_enum == 9 ) goto c235;
/* equal . 4 =(16) , 249 */
  if ( REF(4).value.ord_enum == 16 ) goto c249;
/* equal . 4 =(2) , 265 */
  if ( REF(4).value.ord_enum == 2 ) goto c265;
/* equal . 4 =(3) , 286 */
  if ( REF(4).value.ord_enum == 3 ) goto c286;
/* equal . 4 =(14) , 288 */
  if ( REF(4).value.ord_enum == 14 ) goto c288;
/* branch , 299 */
   goto c299;
c27:
/* noop */
  
/* equal . 3.0.1 =(64) , 33 */
  if ( REF(3)DOT(0)DOT(1).value.ord_enum == 64 ) goto c33;
/* equal . 3.0.1 =(44) , 36 */
  if ( REF(3)DOT(0)DOT(1).value.ord_enum == 44 ) goto c36;
/* branch , 299 */
   goto c299;
c33:
/* copy 5 3.11 */
  if((ch_returncode = (REF(3)DOT(11).tsdr->copy)(& ch_val, REF(3)DOT(11).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = datarepmap[REF(3)DOT(11).tsdr->number];
/* insert 3.6 5 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6),DEF(5),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 299 */
   goto c299;
c36:
/* copy 6 3.11 */
  if((ch_returncode = (REF(3)DOT(11).tsdr->copy)(& ch_val, REF(3)DOT(11).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val;
  REF(6).tsdr = datarepmap[REF(3)DOT(11).tsdr->number];
/* insert 3.6 6 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6),DEF(6),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 299 */
   goto c299;
c40:
/* reveal 3.0.3 , 7 */
  if (7 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* copy 7 3.0.3.0.0 */
  if((ch_returncode = (REF(3)DOT(0)DOT(3)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val;
  REF(7).tsdr = datarepmap[REF(3)DOT(0)DOT(3)DOT(0)DOT(0).tsdr->number];
/* insert 3.2 7 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c46:
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* copy 8 3.0.3.0.2 */
  if((ch_returncode = (REF(3)DOT(0)DOT(3)DOT(0)DOT(2).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(3)DOT(0)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = datarepmap[REF(3)DOT(0)DOT(3)DOT(0)DOT(2).tsdr->number];
/* insert 3.2 8 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(8),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c52:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* case 9 3.0.3.0.3 */
  REF(9).value.enumeration = REF(3)DOT(0)DOT(3)DOT(0)DOT(3).value.variant
    ->info.variant_case;
  REF(9).tsdr = & dr_enumeration;
/* notequal . 9 =(0) , 65 */
  if ( REF(9).value.enumeration != 0 ) goto c65;
/* reveal 3.0.3.0.3 , 0 */
  if (0 != REF(3)DOT(0)DOT(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* copy 10 3.0.3.0.3.0 */
  if((ch_returncode = (REF(3)DOT(0)DOT(3)DOT(0)DOT(3)DOT(0).tsdr->copy)
    (& ch_val, REF(3)DOT(0)DOT(3)DOT(0)DOT(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).value = ch_val;
  REF(10).tsdr = datarepmap[REF(3)DOT(0)DOT(3)DOT(0)DOT(3)DOT(0).tsdr
    ->number];
/* insert 3.2 10 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(10),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c63:
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
c65:
/* enum_lit 11 , 3 */
  REF(11).value.enumeration = 3;
  REF(11).tsdr = & dr_enumeration;
  current->ip = 7;
cb66:
/* call 3.7 11 3.0.3.0.1 3.3 3.4 3.5 3.10 3.11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(7),
          arguments[1] = DEF(11),
          arguments[2] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(1),
          arguments[3] = DEF(3)DOT(3),
          arguments[4] = DEF(3)DOT(4),
          arguments[5] = DEF(3)DOT(5),
          arguments[6] = DEF(3)DOT(10),
          arguments[7] = DEF(3)DOT(11),
          arguments[7+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c68:
/* reveal 3.0.3 , 5 */
  if (5 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* find 12 3.1 3.0.3.0.0 , 0 */
  if (findfunc(DEF(12),DEF(3)DOT(1),(
          arguments[0] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* copy 13 12.2 */
  if((ch_returncode = (REF(12)DOT(2).tsdr->copy)(& ch_val, REF(12)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).value = ch_val;
  REF(13).tsdr = datarepmap[REF(12)DOT(2).tsdr->number];
/* insert 3.2 13 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c75:
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* branch , 299 */
   goto c299;
c77:
/* reveal 3.0.3 , 13 */
  if (13 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* copy 14 3.0.3.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).value = ch_val;
  REF(14).tsdr = & dr_table;
/* initget 15 14 , 0,0 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(15),DEF(14),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c80:
/* get_or_goto 15 14 , 112 */
  if ((ch_returncode = get_selected_object(DEF(15),DEF(14),sched)) != Normal)
     goto c112;
/* case 16 15.1 */
  REF(16).value.enumeration = REF(15)DOT(1).value.variant->info.variant_case;
  REF(16).tsdr = & dr_enumeration;
/* equal . 16 =(2) , 88 */
  if ( REF(16).value.enumeration == 2 ) goto c88;
/* equal . 16 =(0) , 96 */
  if ( REF(16).value.enumeration == 0 ) goto c96;
/* branch , 105 */
   goto c105;
c88:
/* reveal 15.1 , 2 */
  if (2 != REF(15)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* block , 6 */
  if((ch_returncode = che_block(QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* copy 17 15.1.0.0.0 */
  if((ch_returncode = (REF(15)DOT(1)DOT(0)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(15)DOT(1)DOT(0)DOT(0)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = datarepmap[REF(15)DOT(1)DOT(0)DOT(0)DOT(0).tsdr->number];
/* insert 3.2 17 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(17),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c94:
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* branch , 105 */
   goto c105;
c96:
/* reveal 15.1 , 0 */
  if (0 != REF(15)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* block , 7 */
  if((ch_returncode = che_block(QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* copy 18 15.1.0.0 */
  if((ch_returncode = (REF(15)DOT(1)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(15)DOT(1)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val;
  REF(18).tsdr = datarepmap[REF(15)DOT(1)DOT(0)DOT(0).tsdr->number];
/* insert 3.2 18 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c102:
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* branch , 105 */
   goto c105;
c105:
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* copy 19 15.0 */
  if((ch_returncode = (REF(15)DOT(0).tsdr->copy)(& ch_val, REF(15)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = datarepmap[REF(15)DOT(0).tsdr->number];
/* insert 3.2 19 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(19),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c110:
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* branch , 80 */
   goto c80;
c112:
/* endget 15 14 */
  end_selector(DEF(15),DEF(14),sched,GET);
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* block , 9 */
  if((ch_returncode = che_block(QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
/* copy 20 3.0.3.0.1 */
  if((ch_returncode = (REF(3)DOT(0)DOT(3)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(3)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = datarepmap[REF(3)DOT(0)DOT(3)DOT(0)DOT(1).tsdr->number];
/* insert 3.2 20 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(20),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c119:
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* copy 21 3.0.3.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).value = ch_val;
  REF(21).tsdr = & dr_table;
/* initget 22 21 , 0,0 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(22),DEF(21),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c137:
c133:
c122:
/* get_or_goto 22 21 , 140 */
  if ((ch_returncode = get_selected_object(DEF(22),DEF(21),sched)) != Normal)
     goto c140;
/* case 23 22.1 */
  REF(23).value.enumeration = REF(22)DOT(1).value.variant->info.variant_case;
  REF(23).tsdr = & dr_enumeration;
/* equal . 23 =(2) , 130 */
  if ( REF(23).value.enumeration == 2 ) goto c130;
/* equal . 23 =(1) , 134 */
  if ( REF(23).value.enumeration == 1 ) goto c134;
/* branch , 122 */
   goto c122;
c130:
/* reveal 22.1 , 2 */
  if (2 != REF(22)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* enum_lit 24 , 4 */
  REF(24).value.enumeration = 4;
  REF(24).tsdr = & dr_enumeration;
  current->ip = 21;
cb132:
/* call 3.9 24 22.1.0.1 3.3 3.5 3.10 3.11 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(9),
          arguments[1] = DEF(24),
          arguments[2] = DEF(22)DOT(1)DOT(0)DOT(1),
          arguments[3] = DEF(3)DOT(3),
          arguments[4] = DEF(3)DOT(5),
          arguments[5] = DEF(3)DOT(10),
          arguments[6] = DEF(3)DOT(11),
          arguments[6+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c134:
/* reveal 22.1 , 1 */
  if (1 != REF(22)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* enum_lit 25 , 4 */
  REF(25).value.enumeration = 4;
  REF(25).tsdr = & dr_enumeration;
  current->ip = 24;
cb136:
/* call 3.9 25 22.1.0 3.3 3.5 3.10 3.11 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(9),
          arguments[1] = DEF(25),
          arguments[2] = DEF(22)DOT(1)DOT(0),
          arguments[3] = DEF(3)DOT(3),
          arguments[4] = DEF(3)DOT(5),
          arguments[5] = DEF(3)DOT(10),
          arguments[6] = DEF(3)DOT(11),
          arguments[6+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c140:
/* endget 22 21 */
  end_selector(DEF(22),DEF(21),sched,GET);
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* size 26 3.0.2 */
  REF(26).value.integer = REF(3)DOT(0)DOT(2).value.table->size;
  REF(26).tsdr = & dr_integer;
/* equal . 26 =(0) , 181 */
  if ( REF(26).value.integer == 0 ) goto c181;
/* initget 27 3.0.2 , 0,0 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(27),DEF(3)DOT(0)DOT(2),nil,sched,GET,
    0,0)) != Normal) goto ch_raise_exception;
/* get_or_err 27 3.0.2 */
  if ((ch_returncode = get_selected_object(DEF(27),DEF(3)DOT(0)DOT(2)
    ,sched)) != Normal) goto ch_raise_exception;
/* copy 28 27 */
  if((ch_returncode = (REF(27).tsdr->copy)(& ch_val, REF(27).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val;
  REF(28).tsdr = datarepmap[REF(27).tsdr->number];
/* endget 27 3.0.2 */
  end_selector(DEF(27),DEF(3)DOT(0)DOT(2),sched,GET);
/* move 29 28 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29) = REF(28);
  REF(28).tsdr = & dr_bottom;
/* copy 30 3.0.3.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).value = ch_val;
  REF(30).tsdr = & dr_table;
/* initget 31 30 , 0,0 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(31),DEF(30),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c153:
/* get_or_goto 31 30 , 178 */
  if ((ch_returncode = get_selected_object(DEF(31),DEF(30),sched)) != Normal)
     goto c178;
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* case 32 31.1 */
  REF(32).value.enumeration = REF(31)DOT(1).value.variant->info.variant_case;
  REF(32).tsdr = & dr_enumeration;
/* equal . 32 =(2) , 162 */
  if ( REF(32).value.enumeration == 2 ) goto c162;
/* equal . 32 =(0) , 165 */
  if ( REF(32).value.enumeration == 0 ) goto c165;
/* branch , 168 */
   goto c168;
c162:
/* reveal 31.1 , 2 */
  if (2 != REF(31)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* copy 33 31.1.0.0.1 */
  if((ch_returncode = (REF(31)DOT(1)DOT(0)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(31)DOT(1)DOT(0)DOT(0)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = datarepmap[REF(31)DOT(1)DOT(0)DOT(0)DOT(1).tsdr->number];
/* branch , 170 */
   goto c170;
c165:
/* reveal 31.1 , 0 */
  if (0 != REF(31)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* copy 33 31.1.0.1 */
  if((ch_returncode = (REF(31)DOT(1)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(31)DOT(1)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = datarepmap[REF(31)DOT(1)DOT(0)DOT(1).tsdr->number];
/* branch , 170 */
   goto c170;
c168:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c170:
/* enum_lit 34 , 0 */
  REF(34).value.enumeration = 0;
  REF(34).tsdr = & dr_enumeration;
  current->ip = 28;
cb171:
/* call 3.8 34 33 29 3.3 3.4 3.5 3.10 3.11 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(8),
          arguments[1] = DEF(34),
          arguments[2] = DEF(33),
          arguments[3] = DEF(29),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(3)DOT(4),
          arguments[6] = DEF(3)DOT(5),
          arguments[7] = DEF(3)DOT(10),
          arguments[8] = DEF(3)DOT(11),
          arguments[8+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c172:
/* enum_lit 35 , 0 */
  REF(35).value.enumeration = 0;
  REF(35).tsdr = & dr_enumeration;
  current->ip = 30;
cb173:
/* call 3.8 35 29 33 3.3 3.4 3.5 3.10 3.11 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(8),
          arguments[1] = DEF(35),
          arguments[2] = DEF(29),
          arguments[3] = DEF(33),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(3)DOT(4),
          arguments[6] = DEF(3)DOT(5),
          arguments[7] = DEF(3)DOT(10),
          arguments[8] = DEF(3)DOT(11),
          arguments[8+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c174:
/* endblock */
  che_endblock(sched);
c176:
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* branch , 153 */
   goto c153;
c178:
/* endget 31 30 */
  end_selector(DEF(31),DEF(30),sched,GET);
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* branch , 208 */
   goto c208;
c181:
/* copy 36 3.0.3.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).value = ch_val;
  REF(36).tsdr = & dr_table;
/* initget 37 36 , 0,0 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(37),DEF(36),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c183:
/* get_or_goto 37 36 , 206 */
  if ((ch_returncode = get_selected_object(DEF(37),DEF(36),sched)) != Normal)
     goto c206;
/* block , 14 */
  if((ch_returncode = che_block(QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
/* case 38 37.1 */
  REF(38).value.enumeration = REF(37)DOT(1).value.variant->info.variant_case;
  REF(38).tsdr = & dr_enumeration;
/* equal . 38 =(2) , 192 */
  if ( REF(38).value.enumeration == 2 ) goto c192;
/* equal . 38 =(0) , 195 */
  if ( REF(38).value.enumeration == 0 ) goto c195;
/* branch , 198 */
   goto c198;
c192:
/* reveal 37.1 , 2 */
  if (2 != REF(37)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* copy 39 37.1.0.0.1 */
  if((ch_returncode = (REF(37)DOT(1)DOT(0)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(37)DOT(1)DOT(0)DOT(0)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).value = ch_val;
  REF(39).tsdr = datarepmap[REF(37)DOT(1)DOT(0)DOT(0)DOT(1).tsdr->number];
/* branch , 200 */
   goto c200;
c195:
/* reveal 37.1 , 0 */
  if (0 != REF(37)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* copy 39 37.1.0.1 */
  if((ch_returncode = (REF(37)DOT(1)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(37)DOT(1)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).value = ch_val;
  REF(39).tsdr = datarepmap[REF(37)DOT(1)DOT(0)DOT(1).tsdr->number];
/* branch , 200 */
   goto c200;
c198:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c200:
/* enum_lit 40 , 3 */
  REF(40).value.enumeration = 3;
  REF(40).tsdr = & dr_enumeration;
  current->ip = 36;
cb201:
/* call 3.7 40 39 3.3 3.4 3.5 3.10 3.11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(7),
          arguments[1] = DEF(40),
          arguments[2] = DEF(39),
          arguments[3] = DEF(3)DOT(3),
          arguments[4] = DEF(3)DOT(4),
          arguments[5] = DEF(3)DOT(5),
          arguments[6] = DEF(3)DOT(10),
          arguments[7] = DEF(3)DOT(11),
          arguments[7+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c202:
/* endblock */
  che_endblock(sched);
c204:
/* discard 39 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).tsdr = & dr_bottom;
/* branch , 183 */
   goto c183;
c206:
/* endget 37 36 */
  end_selector(DEF(37),DEF(36),sched,GET);
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
c208:
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* branch , 299 */
   goto c299;
c210:
/* reveal 3.0.3 , 6 */
  if (6 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* find 41 3.1 3.0.3.0.0 , 0 */
  if (findfunc(DEF(41),DEF(3)DOT(1),(
          arguments[0] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* block , 15 */
  if((ch_returncode = che_block(QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
/* copy 42 41.2 */
  if((ch_returncode = (REF(41)DOT(2).tsdr->copy)(& ch_val, REF(41)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).value = ch_val;
  REF(42).tsdr = datarepmap[REF(41)DOT(2).tsdr->number];
/* insert 3.2 42 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(42),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c217:
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* new_record 43 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).value = ch_val; REF(43).tsdr = & dr_record;
/* new_record 43.0 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(43)DOT(0).tsdr)->finalize)(REF(43)DOT(0).value,F_DISCARD,sched);
  REF(43)DOT(0).value = ch_val; REF(43)DOT(0).tsdr = & dr_record;
/* copy 43.0.0 41.0 */
  if((ch_returncode = (REF(41)DOT(0).tsdr->copy)(& ch_val, REF(41)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(43)DOT(0)DOT(0).tsdr)->finalize)(REF(43)DOT(0)DOT(0).value
    ,F_DISCARD,sched);
  REF(43)DOT(0)DOT(0).value = ch_val;
  REF(43)DOT(0)DOT(0).tsdr = datarepmap[REF(41)DOT(0).tsdr->number];
/* copy 43.0.1 3.0.3.0.1 */
  if((ch_returncode = (REF(3)DOT(0)DOT(3)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(3)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(43)DOT(0)DOT(1).tsdr)->finalize)(REF(43)DOT(0)DOT(1).value
    ,F_DISCARD,sched);
  REF(43)DOT(0)DOT(1).value = ch_val;
  REF(43)DOT(0)DOT(1).tsdr = datarepmap[REF(3)DOT(0)DOT(3)DOT(0)DOT(1).tsdr
    ->number];
/* new_table 43.1 , 16 */
  if ((ch_returncode = che_new_table(DEF(43)DOT(1),QUAL(16)
    ,sched)) != Normal)  goto ch_raise_exception;
/* enum_lit 44 , 12 */
  REF(44).value.enumeration = 12;
  REF(44).tsdr = & dr_enumeration;
  current->ip = 43;
cb224:
/* call 3.9 44 43 3.3 3.5 3.10 3.11 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(9),
          arguments[1] = DEF(44),
          arguments[2] = DEF(43),
          arguments[3] = DEF(3)DOT(3),
          arguments[4] = DEF(3)DOT(5),
          arguments[5] = DEF(3)DOT(10),
          arguments[6] = DEF(3)DOT(11),
          arguments[6+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c226:
/* reveal 3.0.3 , 8 */
  if (8 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* find 45 3.1 3.0.3.0.0 , 0 */
  if (findfunc(DEF(45),DEF(3)DOT(1),(
          arguments[0] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* block , 17 */
  if((ch_returncode = che_block(QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
/* copy 46 45.2 */
  if((ch_returncode = (REF(45)DOT(2).tsdr->copy)(& ch_val, REF(45)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).value = ch_val;
  REF(46).tsdr = datarepmap[REF(45)DOT(2).tsdr->number];
/* insert 3.2 46 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(46),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c233:
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* branch , 299 */
   goto c299;
c235:
/* reveal 3.0.3 , 9 */
  if (9 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* find 47 3.1 3.0.3.0.0 , 0 */
  if (findfunc(DEF(47),DEF(3)DOT(1),(
          arguments[0] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* block , 18 */
  if((ch_returncode = che_block(QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
/* copy 48 47.2 */
  if((ch_returncode = (REF(47)DOT(2).tsdr->copy)(& ch_val, REF(47)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).value = ch_val;
  REF(48).tsdr = datarepmap[REF(47)DOT(2).tsdr->number];
/* insert 3.2 48 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(48),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c242:
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* find 49 3.1 3.0.3.0.2.0 , 0 */
  if (findfunc(DEF(49),DEF(3)DOT(1),(
          arguments[0] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(2)DOT(0),
            & arguments[0]),sched,0) == FAILURE) goto ch_notfound;
/* copy 50 49.2 */
  if((ch_returncode = (REF(49)DOT(2).tsdr->copy)(& ch_val, REF(49)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).value = ch_val;
  REF(50).tsdr = datarepmap[REF(49)DOT(2).tsdr->number];
/* insert 3.2 50 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(50),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* enum_lit 51 , 3 */
  REF(51).value.enumeration = 3;
  REF(51).tsdr = & dr_enumeration;
  current->ip = 49;
cb247:
/* call 3.7 51 3.0.3.0.2.2 3.3 3.4 3.5 3.10 3.11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(7),
          arguments[1] = DEF(51),
          arguments[2] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(2)DOT(2),
          arguments[3] = DEF(3)DOT(3),
          arguments[4] = DEF(3)DOT(4),
          arguments[5] = DEF(3)DOT(5),
          arguments[6] = DEF(3)DOT(10),
          arguments[7] = DEF(3)DOT(11),
          arguments[7+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c249:
/* reveal 3.0.3 , 16 */
  if (16 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* block , 19 */
  if((ch_returncode = che_block(QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
/* copy 52 3.0.3.0.0 */
  if((ch_returncode = (REF(3)DOT(0)DOT(3)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val;
  REF(52).tsdr = datarepmap[REF(3)DOT(0)DOT(3)DOT(0)DOT(0).tsdr->number];
/* insert 3.2 52 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(52),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c255:
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* block , 20 */
  if((ch_returncode = che_block(QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* copy 53 3.0.3.0.2 */
  if((ch_returncode = (REF(3)DOT(0)DOT(3)DOT(0)DOT(2).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(3)DOT(0)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).value = ch_val;
  REF(53).tsdr = datarepmap[REF(3)DOT(0)DOT(3)DOT(0)DOT(2).tsdr->number];
/* insert 3.2 53 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(53),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c261:
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* enum_lit 54 , 3 */
  REF(54).value.enumeration = 3;
  REF(54).tsdr = & dr_enumeration;
  current->ip = 54;
cb263:
/* call 3.7 54 3.0.3.0.1 3.3 3.4 3.5 3.10 3.11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(7),
          arguments[1] = DEF(54),
          arguments[2] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(1),
          arguments[3] = DEF(3)DOT(3),
          arguments[4] = DEF(3)DOT(4),
          arguments[5] = DEF(3)DOT(5),
          arguments[6] = DEF(3)DOT(10),
          arguments[7] = DEF(3)DOT(11),
          arguments[7+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c265:
/* reveal 3.0.3 , 2 */
  if (2 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* find 55 3.1 3.0.3.0.0 , 0 */
  if (findfunc(DEF(55),DEF(3)DOT(1),(
          arguments[0] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* block , 21 */
  if((ch_returncode = che_block(QUAL(21),sched)) != Normal)
     goto ch_raise_exception;
/* copy 56 55.2 */
  if((ch_returncode = (REF(55)DOT(2).tsdr->copy)(& ch_val, REF(55)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).value = ch_val;
  REF(56).tsdr = datarepmap[REF(55)DOT(2).tsdr->number];
/* insert 3.2 56 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(56),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c272:
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* copy 57 3.0.3.0.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(3)DOT(0)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).value = ch_val;
  REF(57).tsdr = & dr_table;
/* initget 58 57 , 0,0 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(58),DEF(57),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c275:
/* get_or_goto 58 57 , 283 */
  if ((ch_returncode = get_selected_object(DEF(58),DEF(57),sched)) != Normal)
     goto c283;
/* block , 22 */
  if((ch_returncode = che_block(QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
/* copy 59 58.1 */
  if((ch_returncode = (REF(58)DOT(1).tsdr->copy)(& ch_val, REF(58)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).value = ch_val;
  REF(59).tsdr = datarepmap[REF(58)DOT(1).tsdr->number];
/* insert 3.2 59 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(59),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c281:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* branch , 275 */
   goto c275;
c283:
/* endget 58 57 */
  end_selector(DEF(58),DEF(57),sched,GET);
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* branch , 299 */
   goto c299;
c286:
/* exit , 23 */
  ch_e = handler_type__exit; ch_val = QUAL(23); goto ch_exception;
c288:
/* reveal 3.0.3 , 14 */
  if (14 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* find 60 3.1 3.0.3.0.0 , 0 */
  if (findfunc(DEF(60),DEF(3)DOT(1),(
          arguments[0] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* block , 24 */
  if((ch_returncode = che_block(QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
/* copy 61 60.2 */
  if((ch_returncode = (REF(60)DOT(2).tsdr->copy)(& ch_val, REF(60)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).value = ch_val;
  REF(61).tsdr = datarepmap[REF(60)DOT(2).tsdr->number];
/* insert 3.2 61 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(61),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c295:
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* enum_lit 62 , 3 */
  REF(62).value.enumeration = 3;
  REF(62).tsdr = & dr_enumeration;
  current->ip = 64;
cb297:
/* call 3.7 62 3.0.3.0.2 3.3 3.4 3.5 3.10 3.11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(7),
          arguments[1] = DEF(62),
          arguments[2] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(2),
          arguments[3] = DEF(3)DOT(3),
          arguments[4] = DEF(3)DOT(4),
          arguments[5] = DEF(3)DOT(5),
          arguments[6] = DEF(3)DOT(10),
          arguments[7] = DEF(3)DOT(11),
          arguments[7+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c264:
c248:
c225:
c67:
c299:
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c304:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
